Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSqlRecordInfo Class Reference
[sql module]

The QSqlRecordInfo class encapsulates a set of database field meta data. More...

`#include <qsqlrecord.h>`

List of all member functions.

## Public Members

- QSqlRecordInfo ()
- QSqlRecordInfo ( const QSqlFieldInfoList & other )
- QSqlRecordInfo ( const QSqlRecord & other )
- size_type contains ( const QString & fieldName ) const
- QSqlFieldInfo find ( const QString & fieldName ) const
- QSqlRecord toRecord () const

## Detailed Description

The QSqlRecordInfo class encapsulates a set of database field meta data.

This class is a QValueList that holds a set of database field meta data. Use contains() to see if a given field name exists in the record, and use find() to get a QSqlFieldInfo record for a named field.

See also QValueList, QSqlFieldInfo and Database Classes.

## Member Function Documentation

### QSqlRecordInfo::QSqlRecordInfo ()

Constructs an empty recordinfo object

### QSqlRecordInfo::QSqlRecordInfo ( const QSqlFieldInfoList & other )

Constructs a copy of other.

### QSqlRecordInfo::QSqlRecordInfo ( const QSqlRecord & other )

Constructs a QSqlRecordInfo object based on the fields in the QSqlRecord other.

### size_type QSqlRecordInfo::contains ( const QString & fieldName ) const

Returns the number of times a field named fieldName occurs in the record. Returns 0 if no field by that name could be found.

### QSqlFieldInfo QSqlRecordInfo::find ( const QString & fieldName ) const

Returns a QSqlFieldInfo object for the first field in the record which has the field name fieldName. If no matching field is found then an empty QSqlFieldInfo object is returned.

### QSqlRecord QSqlRecordInfo::toRecord () const

Returns an empty QSqlRecord based on the field information in this QSqlRecordInfo.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.